<?php
	/*
	Joomla2WordPress by Cathal Garvey, http://cgarvey.ie/ , 2008
	Based on Mambo2WordPress, http://www.blevins.nl/

	No license attached, no warranty implied, no liability accepted

	It would be nice to leave this notice intact.
	*/

	$_wpinstalling = 1;
	if( !file_exists( '../wp-config.php' ) ) die( "There doesn't seem to be a <code>wp-config.php</code> file, so I can not continue!" );
	if( !file_exists( 'config.php' ) ) die( "There doesn't seem to be a <code>config.php</code> file, so I can not continue!" );

	require_once('../wp-config.php');
	require_once('config.php');

	$action = $_GET['action'];
	$id = $_GET['select'];
	$category = $_GET['category'];
	$section = $_GET['section'];
	$wpsection = $_GET['wpsection'];
	$wpauthor = $_GET['wpauthor'];

	if( $category == "" ) $category = $_POST['category'];
	if( $section == "" ) $section=$_POST['section'];
	if( $wpsection == "" ) $wpsection = $_POST['wpsection'];
	if( $wpauthor == "" ) $wpauthor = $_POST['wpauthor'];

	if( isset( $_GET['step'] ) ) $step = $_GET['step'];
	else $step = 0;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Joomla2WordPress &rsaquo; Import</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<script type="text/javascript">
		<!--
			function showDiv( id ) {
				if( !isNaN( id ) && document.getElementById( "dvAllArticles" ) ) {
					if( id >= 0 ) {
						if( document.getElementById( "dvArticleDetail-" + id ) && document.getElementById( "dvArticle-" + id ) ) {
							document.getElementById( "dvArticle-" + id ).className = 'dvBorder';
							document.getElementById( "dvArticleDetail-" + id ).className = '';
						}
					}
					else document.getElementById( "dvAllArticles" ).className = '';
				}
			}
		-->
		</script>

		<style media="screen" type="text/css">
		<!--
			html {
				background: #eee;
			}
			body {
				background: #fff;
				color: #000;
				font-family: Georgia, "Times New Roman", Times, serif;
				margin-left: 20%;
				margin-right: 20%;
				padding: .2em 2em;
			}
			h1 {
				color: #006;
				font-size: 2em;
				font-weight: lighter;
				border-bottom: 2px dashed #006;
			}
			h2 {
				background-color: #006;
				color: #fff;
				font-size: 1.5em;
			}
			h3 {
				color: #006;
				font-size: 1.2em;
			}
			ul, ol {
				padding: 5px 5px 5px 20px;
			}
			.step a, .step input {
				font-size: 1em;
			}
			td input {
				font-size: 1.5em;
			}
			.step, th {
				text-align: right;
			}
			.dvFooter {
				text-align: center; 
				border-top: 1px solid #ccc; 
				padding-top: 1em; 
				font-style: italic;
			}
			.dvFooterSub {
				text-align: center; 
				padding: 1em; 
				font-size: 0.7em;
				font-style: italic;
			}
			.dvHidden {
				display: none;
			}
			.dvBorder {
				border: 2px solid #777777;
			}
		-->
		</style>
	</head>
	<body>
		<h1>Joomla2WordPress Import Wizard</h1>
<?php
		switch( $step ) {
			case 0:
				echo( "<p>This wizard will allow you to copy your Joomla content to your Wordpress blog.</p>" );
				echo( "<p>You should double check the file <code>config.php</code> contains the correct details for your Joomla and WordPress databases, before continuing.</p>" );
				echo( "<h3 class=\"step\"><a href=\"index.php?step=1\">Step One &raquo;</a></h3>" );
			break;
			case 1:
				$link = mysql_connect( "$dbhost", "$dbuser", "$dbpass" ) or die( "<h3>Could not connect to Joomla database.</h3>" );
				mysql_select_db( "$dbh" ) or die( "<h3>Could not select Joomla database</h3>" );

				echo( "<h2>Step One</h2>" );
				echo( "<p>Now, choose which method you want to use to import your articles or links, below.</p>" );

				// Joomla Sections
				$query = "SELECT * FROM " . $dbprefix . "sections";
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve Joomla sections.</h3>" );

				echo( "<div>Import articles from a whole section:</div>" );
				echo( "<form action=\"index.php\" name=\"sections\" id=\"sections\">" );
					echo( "<select name=\"section\" class=\"import\">" );
						echo( "<option value=\"\" selected>-- select a Joomla section --</option>" );
						while( $row = mysql_fetch_assoc( $result ) ) {
							echo( "<option value=\"" . $row["id"] . "\">" . $row["title"] . "</option>" );
						}
					echo( "</select>" );
					echo( "<input name=\"step\" type=\"hidden\" id=\"step\" value=\"2\" />" );
					echo( "&nbsp;&nbsp;" );
					echo( "<input name=\"Submit\" type=\"submit\" value=\"Step Two &raquo;\" />" );
				echo( "</form><br />" );

				mysql_free_result( $result );

				// Joomla Categories
				$query = "SELECT " . $dbprefix . "categories.id, " . $dbprefix . "categories.title FROM `" . $dbprefix . "categories`, `" . $dbprefix . "sections` WHERE " . $dbprefix . "sections.id = " . $dbprefix . "categories.section";
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve Joomla categories.</h3>" );
	
				echo( "<div>Import articles from just one category:</div>" );
				echo( "<form action=\"index.php\" name=\"cats\" id=\"cats\">" );
					echo( "<select name=\"category\">" );
						echo( "<option value=\"\" selected>-- select a Joomla category --</option>" );
						while( $row = mysql_fetch_assoc( $result ) ) {
							echo( "<option value=\"" . $row["id"] . "\">" . $row["title"] . "</option>" );
						}
					echo( "</select>" );
					echo( "<input name=\"step\" type=\"hidden\" id=\"step4\" value=\"3\" />" );
					echo( "&nbsp;&nbsp;" );
					echo( "<input name=\"Submit\" type=\"submit\" value=\"Step Two &raquo;\" />" );
				echo( "</form><br />" );

				mysql_free_result($result);

				// Joomla Link Categories
				$query = "SELECT id, title FROM `" . $dbprefix . "categories` WHERE section='com_weblinks'";
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve Joomla link categories.</h3>" );
	
				echo( "<div>Import links from just a category:</div>" );
				echo( "<form action=\"index.php\" name=\"links\" id=\"links\">" );
					echo( "<select name=\"category\">" );
						echo( "<option value=\"\" selected>-- select a Joomla link category --</option>" );
						while( $row = mysql_fetch_assoc( $result ) ) {
							echo( "<option value=\"" . $row["id"] . "\">" . $row["title"] . "</option>" );
						}
					echo( "</select>" );
					echo( "<input name=\"step\" type=\"hidden\" id=\"step5\" value=\"6\" />" );
					echo( "&nbsp;&nbsp;" );
					echo( "<input name=\"Submit\" type=\"submit\" value=\"Step Two &raquo;\" />" );
				echo( "</form>" );
			break;
			case 2:
				if( $section == "" ) die( "<h3>No Joomla content specified.</h3>" );
				// Select a WP category to import the Joomla section to.
				echo "<h2>Step Two</h2>";

				$link = mysql_connect( "$dbihost", "$dbiuser", "$dbipass" ) or die( "<h3>Could not connect to WordPress database.</h3>" );
				mysql_select_db( "$dbi" ) or die( "<h3>Could not select WordPress database</h3>" );

				$query = "SELECT t.term_id, t.name FROM `" . $dbiprefix . "terms` t INNER JOIN `" . $dbiprefix . "term_taxonomy` tt ON tt.term_id=t.term_id WHERE tt.taxonomy='category'";
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve WordPress categories (1).</h3>" );
				$query = "SELECT id, user_nicename, user_login FROM `" . $dbiprefix . "users`";
				$result2 = mysql_query( $query ) or die( "<h3>Could not retrieve WordPress users (1).</h3>" );

				echo( "<p>Next, select the WordPress category to import the content to (mandatory), and the WordPress author to import as (optional).</p>" );
				echo( "<form action=\"index.php\" name=\"wpcat\" id=\"wpcat\">" );
					echo( "<select name=\"wpsection\" class=\"import\">" );
						echo( "<option value=\"\" selected>-- select a WordPress section --</option>" );
						while( $row = mysql_fetch_assoc( $result ) ) {
							echo( "<option value=\"" . $row["term_id"] . "\">" . $row["name"] . "</option>" );
						}
					echo( "</select>" );
					echo( "<br />" );
					echo( "<select name=\"wpauthor\" class=\"import\">" );
						echo( "<option value=\"\" selected>-- select a WordPress author --</option>" );
						while( $row = mysql_fetch_assoc( $result2 ) ) {
							echo( "<option value=\"" . $row["id"] . "\">" . $row["user_nicename"] . " (" . $row["user_login"] . ")</option>" );
						}
					echo( "</select>" );
					echo( "<input name=\"step\" type=\"hidden\" id=\"step\" value=\"4\" />" );
					echo( "<input name=\"section\" type=\"hidden\" id=\"step\" value=\"" . $section . "\" />" );
					echo( "<br />" );
					echo( "<input name=\"Submit\" type=\"submit\" value=\"Step Three &raquo;\" />" );
				echo( "</form>" );
				echo( "<a href=\"index.php?step=1\"><h3>&laquo;Back to step 1</h3></a>" );
			break;
			case 3:
				if( $category == "" ) die( "<h3>No Joomla content specified.</h3>" );
				// Select a WP category to import the Joomla category to.
				echo "<h2>Step Two</h2>";

				$link = mysql_connect( "$dbihost", "$dbiuser", "$dbipass" ) or die( "<h3>Could not connect to WordPress database.</h3>" );
				mysql_select_db( "$dbi" ) or die( "<h3>Could not select WordPress database</h3>" );

				$query = "SELECT t.term_id, t.name FROM `" . $dbiprefix . "terms` t INNER JOIN `" . $dbiprefix . "term_taxonomy` tt ON tt.term_id=t.term_id WHERE tt.taxonomy='category'";
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve WordPress categories (2).</h3>" );
				$query = "SELECT id, user_nicename, user_login FROM `" . $dbiprefix . "users`";
				$result2 = mysql_query( $query ) or die( "<h3>Could not retrieve WordPress users (1).</h3>" );

				echo( "<p>Next, select the WordPress category to import the content to (mandatory), and the WordPress author to import as (optional).</p>" );
				echo( "<form action=\"index.php\" name=\"wpcat\" id=\"wpcat\">" );
					echo( "<select name=\"wpsection\" class=\"import\">" );
						echo( "<option value=\"\" selected>-- select a WordPress section --</option>" );
						while( $row = mysql_fetch_assoc( $result ) ) {
							echo( "<option value=\"" . $row["term_id"] . "\">" . $row["name"] . "</option>" );
						}
					echo( "</select>" );
					echo( "<br />" );
					echo( "<select name=\"wpauthor\" class=\"import\">" );
						echo( "<option value=\"\" selected>-- select a WordPress author --</option>" );
						while( $row = mysql_fetch_assoc( $result2 ) ) {
							echo( "<option value=\"" . $row["id"] . "\">" . $row["user_nicename"] . " (" . $row["user_login"] . ")</option>" );
						}
					echo( "</select>" );
					echo( "<input name=\"step\" type=\"hidden\" id=\"step\" value=\"5\" />" );
					echo( "<input name=\"category\" type=\"hidden\" id=\"step\" value=\"" . $category . "\" />" );
					echo( "<br />" );
					echo( "<input name=\"Submit\" type=\"submit\" value=\"Step Three &raquo;\" />" );
				echo( "</form>" );
				echo( "<a href=\"index.php?step=1\"><h3>&laquo;Back to step 1</h3></a>" );
			break;
			case 4:
				if( $section == "" ) die( "<h3>No Joomla content specified.</h3>" );
				if( $wpsection == "" ) die( "<h3>No WordPress category specified.</h3>" );
				if( $wpauthor == "" ) $wpauthor = 0;

				require_once ("../wp-includes/functions.php");
				echo "<h2>Step Three</h2>";

				// Make connection to Joomla database
				$link = mysql_connect( "$dbhost", "$dbuser", "$dbpass" ) or die( "<p>Could not connect to Joomla database.</p>" );
				mysql_select_db( "$dbh" ) or die( "<h3>Could not select Joomla database</h3>" );

				$query = "SELECT id, title, introtext, `fulltext`, created, modified FROM " . $dbprefix . "content WHERE `sectionid`=" . $section;
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve Joomla articles.</h3>" );

				// Load database values into an array, making sure to escape them for quotes, etc.
				$i = 0;
				while( $row = mysql_fetch_assoc( $result ) ) {
					$import[0][$i] = mysql_escape_string( $row["id"] );
					$import[1][$i] = mysql_escape_string( $row["title"] );
					$s = "";
					if( $row["introtext"] != "" ) $s = $row["introtext"];
					if( $row["fulltext"] != "" ) {
						if( $s != "" ) $s .= "<br /><!--more--><br />";
						$s .= $row["fulltext"];
					}
					$import[2][$i] = mysql_escape_string( $s );
					$import[3][$i] = mysql_escape_string( $row["created"] );
					$import[4][$i] = mysql_escape_string( $row["modified"] );
					$i++;
				}
				mysql_free_result( $result );
	
				mysql_close( $link );

				$j = 0;
				echo( "<a href=\"javascript:showDiv( -1 );\" title=\"Display details for imported articles\">View import details</a>.\n" );
				echo( "<div id=\"dvAllArticles\" class=\"dvHidden\"><br /><br />\n" );
				while( $j < $i ) {
					echo( "<div id=\"dvArticle-" . $j . "\">\n" );
						echo( "<a href=\"javascript:showDiv( " . $j . " );\" title=\"Display details for this article\">" . $import[1][$j] . "</a>\n" );
						echo( "<div id=\"dvArticleDetail-" . $j . "\" class=\"dvHidden\">\n" );
							echo( "<b>id:</b> " . $import[0][$j] . "<br />\n" );
							echo( "<b>title:</b> " . $import[1][$j] . "<br />\n" );
							echo( "<b>introtext:</b> " . $import[2][$j] . "<br />\n" );		
							echo( "<b>created:</b> " . $import[3][$j] . "<br />\n" );
							echo( "<b>modified:</b> " . $import[4][$j] . "<br />\n" );
						echo( "</div>" );
					echo( "</div>\n\n\n" );
					$j++;
				}
				echo( "</div>\n" );

				echo "<p>Importing " . $i . " article(s)...";

				// Make connection to WordPress DB
				$link = mysql_connect( "$dbihost", "$dbiuser", "$dbipass" ) or die( "<h3>Could not connect to WordPress database.</h3>" );
				mysql_select_db( "$dbi" ) or die( "<h3>Could not select WordPress database</h3>" );

				$j = 0;
				while( $j < $i ) {
					// Create an acceptable WP post_name
					$post_name = sanitize_title_with_dashes( $import[1][$j] );

					// Insert post
					$query = "INSERT INTO " . $dbiprefix . "posts( id, post_title, post_content, post_date, post_modified, post_name, post_category, post_author ) VALUES ( NULL, '{$import[1][$j]}', '{$import[2][$j]}', '{$import[3][$j]}', '{$import[4][$j]}', '$post_name', '$wpsection', $wpauthor )";
					$result = mysql_query( $query ) or die( "<h3>Could not insert article in WordPress database.</h3>" );
					$query = "SELECT MAX( last_insert_id() ) AS 'newid' FROM  " . $dbiprefix . "posts";
					$result = mysql_query( $query ) or die( "<h3>Could not get the new ID for the inserted article.</h3>" );
					$row = mysql_fetch_assoc( $result );
					$newID = mysql_escape_string( $row['newid'] );

					if( $newID > 0 ) {
						$query = "INSERT INTO " . $dbiprefix . "term_relationships( object_id, term_taxonomy_id, term_order ) VALUES ( " . $newID . ", " . $wpsection . ", 0 )";
						$result = mysql_query( $query ) or die( "<h3>Could not insert article category in WordPress database.</h3>" );
					}
					$j++;
				}

				mysql_close( $link );
				echo( "done!</p>" );
	
				echo( "<a href=\"index.php?step=1\"><h3>&laquo;Back to step 1</h3></a>" );
			break;
			case 5:
				if( $category == "" ) die( "<h3>No Joomla content specified.</h3>" );
				if( $wpsection == "" ) die( "<h3>No WordPress category specified.</h3>" );
				if( $wpauthor == "" ) $wpauthor = 0;

				require_once ("../wp-includes/functions.php");
				echo "<h2>Step Three</h2>";

				// Make connection to Joomla database
				$link = mysql_connect( "$dbhost", "$dbuser", "$dbpass" ) or die( "<p>Could not connect to Joomla database.</p>" );
				mysql_select_db( "$dbh" ) or die( "<h3>Could not select Joomla database</h3>" );

				$query = "SELECT id, title, introtext, `fulltext`, created, modified FROM " . $dbprefix . "content WHERE `sectionid`=" . $category;
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve Joomla articles.</h3>" );

				// Load database values into an array, making sure to escape them for quotes, etc.
				$i = 0;
				while( $row = mysql_fetch_assoc( $result ) ) {
					$import[0][$i] = mysql_escape_string( $row["id"] );
					$import[1][$i] = mysql_escape_string( $row["title"] );
					$s = "";
					if( $row["introtext"] != "" ) $s = $row["introtext"];
					if( $row["fulltext"] != "" ) {
						if( $s != "" ) $s .= "<br /><!--more--><br />";
						$s .= $row["fulltext"];
					}
					$import[2][$i] = mysql_escape_string( $s );
					$import[3][$i] = mysql_escape_string( $row["created"] );
					$import[4][$i] = mysql_escape_string( $row["modified"] );
					$i++;
				}
				mysql_free_result( $result );

				mysql_close( $link );
	
				$j = 0;
				echo( "<a href=\"javascript:showDiv( -1 );\" title=\"Display details for imported articles\">View import details</a>.\n" );
				echo( "<div id=\"dvAllArticles\" class=\"dvHidden\"><br /><br />\n" );
				while( $j < $i ) {
					echo( "<div id=\"dvArticle-" . $j . "\">\n" );
						echo( "<a href=\"javascript:showDiv( " . $j . " );\" title=\"Display details for this article\">" . $import[1][$j] . "</a>\n" );
						echo( "<div id=\"dvArticleDetail-" . $j . "\" class=\"dvHidden\">\n" );
							echo( "<b>id:</b> " . $import[0][$j] . "<br />\n" );
							echo( "<b>title:</b> " . $import[1][$j] . "<br />\n" );
							echo( "<b>introtext:</b> " . $import[2][$j] . "<br />\n" );		
							echo( "<b>created:</b> " . $import[3][$j] . "<br />\n" );
							echo( "<b>modified:</b> " . $import[4][$j] . "<br />\n" );
						echo( "</div>" );
					echo( "</div>\n\n\n" );
					$j++;
				}
				echo( "</div>\n" );

				echo "<p>Importing " . $i . " article(s)...";

				// Make connection to WordPress DB
				$link = mysql_connect( "$dbihost", "$dbiuser", "$dbipass" ) or die( "<h3>Could not connect to WordPress database.</h3>" );
				mysql_select_db( "$dbi" ) or die( "<h3>Could not select WordPress database</h3>" );

				$j = 0;
				while( $j < $i ) {
					// Create an acceptable WP post_name
					$post_name = sanitize_title_with_dashes( $import[1][$j] );

					// Insert post
					$query = "INSERT INTO " . $dbiprefix . "posts( id, post_title, post_content, post_date, post_modified, post_name, post_category, post_author ) VALUES ( NULL, '{$import[1][$j]}', '{$import[2][$j]}', '{$import[3][$j]}', '{$import[4][$j]}', '$post_name', '$wpsection', $wpauthor )";
					$result = mysql_query( $query ) or die( "<h3>Could not insert article in WordPress database.</h3>" );
					$query = "SELECT MAX( last_insert_id() ) AS 'newid' FROM  " . $dbiprefix . "posts";
					$result = mysql_query( $query ) or die( "<h3>Could not get the new ID for the inserted article.</h3>" );
					$row = mysql_fetch_assoc( $result );
					$newID = mysql_escape_string( $row['newid'] );

					if( $newID > 0 ) {
						$query = "INSERT INTO " . $dbiprefix . "term_relationships( object_id, term_taxonomy_id, term_order ) VALUES ( " . $newID . ", " . $wpsection . ", 0 )";
						$result = mysql_query( $query ) or die( "<h3>Could not insert article category in WordPress database.</h3>" );
					}
					$j++;
				}

				mysql_close( $link );

				echo( "done!</p>" );

				echo( "<a href=\"index.php?step=1\"><h3>&laquo;Back to step 1</h3></a>" );
			break;
			case 6:
				if( $category == "" ) die( "<h3>No Joomla content specified.</h3>" );

				require_once ("../wp-includes/functions.php");
				echo "<h2>Step Two</h2>";

				$link = mysql_connect( "$dbihost", "$dbiuser", "$dbipass" ) or die( "<h3>Could not connect to WordPress database.</h3>" );
				mysql_select_db( "$dbi" ) or die( "<h3>Could not select WordPress database</h3>" );

				$query = "SELECT t.term_id, t.name FROM `" . $dbiprefix . "terms` t INNER JOIN `" . $dbiprefix . "term_taxonomy` tt ON tt.term_id=t.term_id WHERE tt.taxonomy='link_category'";
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve WordPress categories (3).</h3>" );
				$query = "SELECT id, user_nicename, user_login FROM `" . $dbiprefix . "users`";
				$result2 = mysql_query( $query ) or die( "<h3>Could not retrieve WordPress users (1).</h3>" );

				echo( "<p>Next, select the WordPress link category to import the Joomla links to (mandatory), and the WordPress author to import as (optional).</p>" );
				echo( "<form action=\"index.php\" name=\"wpcat\" id=\"wpcat\">" );
					echo( "<select name=\"wpsection\" class=\"import\">" );
						echo( "<option value=\"\" selected>-- select a WordPress link category --</option>" );
						while( $row = mysql_fetch_assoc($result)) {
							echo( "<option value=\"" . $row["term_id"] . "\">" . $row["name"] . "</option>" );
						}
					echo( "</select>" );
					echo( "<br />" );
					echo( "<select name=\"wpauthor\" class=\"import\">" );
						echo( "<option value=\"\" selected>-- select a WordPress author --</option>" );
						while( $row = mysql_fetch_assoc( $result2 ) ) {
							echo( "<option value=\"" . $row["id"] . "\">" . $row["user_nicename"] . " (" . $row["user_login"] . ")</option>" );
						}
					echo( "</select>" );
					echo( "<input name=\"step\" type=\"hidden\" id=\"step\" value=\"7\" />" );
					echo( "<input name=\"category\" type=\"hidden\" id=\"step\" value=\"" . $category . "\" />" );
					echo( "<br />" );
					echo( "<input name=\"Submit\" type=\"submit\" value=\"Step Three &raquo;\" />" );
				echo( "</form>" );
				echo( "<a href=\"index.php?step=1\"><h3>Back to step 1</h3></a>" );
			break;
			case 7:
				if( $category == "" ) die( "<h3>No Joomla content specified.</h3>" );
				if( $wpsection == "" ) die( "<h3>No WordPress category specified.</h3>" );
				if( $wpauthor == "" ) $wpauthor = 0;

				echo "<h2>Step Three</h2>";

				// Make connection to Joomla database
				$link = mysql_connect( "$dbhost", "$dbuser", "$dbpass" ) or die( "<p>Could not connect to Joomla database.</p>" );
				mysql_select_db( "$dbh" ) or die( "<h3>Could not select Joomla database</h3>" );

				$query = "SELECT title, url, `description` FROM " . $dbprefix . "weblinks WHERE `catid`=" . $category;
				$result = mysql_query( $query ) or die( "<h3>Could not retrieve Joomla links.</h3>" );

				/* Load database values into an array, making sure to escape them for quotes, etc. */
				$i = 0;
				while( $row = mysql_fetch_assoc( $result ) ) {
					$import[0][$i] = mysql_escape_string( $row["title"] );
					$import[1][$i] = mysql_escape_string( $row["url"] );
					$import[2][$i] = mysql_escape_string( $row["description"] );
					$i++;
				}
				mysql_free_result( $result );
	
				mysql_close( $link );

				$j = 0;
				echo( "<a href=\"javascript:showDiv( -1 );\" title=\"Display details for imported articles\">View import details</a>.\n" );
				echo( "<div id=\"dvAllArticles\" class=\"dvHidden\"><br /><br />\n" );
				while( $j < $i ) {
					echo( "<div id=\"dvArticle-" . $j . "\">\n" );
						echo( "<a href=\"javascript:showDiv( " . $j . " );\" title=\"Display details for this article\">" . $import[1][$j] . "</a>\n" );
						echo( "<div id=\"dvArticleDetail-" . $j . "\" class=\"dvHidden\">\n" );
							echo( "<b>title:</b> " . $import[0][$j] . "<br />\n" );
							echo( "<b>URL:</b> " . $import[1][$j] . "<br />\n" );
							echo( "<b>description:</b> " . $import[2][$j] . "<br />\n" );		
						echo( "</div>" );
					echo( "</div>\n\n\n" );
					$j++;
				}
				echo( "</div>\n" );
				
				echo "<p>Importing " . $i . " URL(s)...";

				// Make connection to WordPress DB
				$link = mysql_connect( "$dbihost", "$dbiuser", "$dbipass" ) or die( "<h3>Could not connect to WordPress database.</h3>" );
				mysql_select_db( "$dbi" ) or die( "<h3>Could not select WordPress database</h3>" );

				$j = 0;
				while( $j < $i ) {
					// Insert link
					$query = "INSERT INTO " . $dbiprefix . "links( link_url, link_name, link_description, link_category, link_owner ) VALUES ( '{$import[1][$j]}', '{$import[0][$j]}', '{$import[2][$j]}', '" . $wpsection . "', " . $wpauthor . " )";
					$result = mysql_query( $query ) or die( "<h3>Could not insert link in WordPress database.</h3>" );
					$query = "SELECT MAX( last_insert_id() ) AS 'newid' FROM  " . $dbiprefix . "links";
					$result = mysql_query( $query ) or die( "<h3>Could not get the new ID for the inserted link.</h3>" );
					$row = mysql_fetch_assoc( $result );
					$newID = mysql_escape_string( $row['newid'] );

					if( $newID > 0 ) {
						$query = "INSERT INTO " . $dbiprefix . "term_relationships( object_id, term_taxonomy_id, term_order ) VALUES ( " . $newID . ", " . $wpsection . ", 0 )";
						$result = mysql_query( $query ) or die( "<h3>Could not insert article category in WordPress database.</h3>" );
					}

					$j++;
				}

				mysql_close( $link );

				echo( "done!</p>" );

				echo( "<a href=\"index.php?step=1\"><h3>&laquo;Back to step 1</h3></a>" );
			break;
		}
?>
		<div class="dvFooter">
			<a href="http://cgarvey.ie/" title="Link to the website of the author, Cathal Garvey">Cathal Garvey</a>.
			<div class="dvFooterSub">Based on <a href="http://www.blevins.nl/missiontech/wp_plugins/mambo2wp_export_wizard.zip" title="Link to download Mambo2WordPress">Mambo2WordPress</a>.</div>
		</div>
	</body>
</html>

